//----------------------------------------------------------------------------
// 
//	file: ppmiotest.cc
// 
//	function: test ppmio class 
//	author:   Yoonsuck Choe <yschoe@cs.utexas.edu>
//	creation: Sat Nov  7 04:54:22 CST 1998
// 
//	$Revision: 1.1 $ $Date: 1999/02/09 07:56:44 $
//	$Log: ppmiotest.cc,v $
//	Revision 1.1  1999/02/09 07:56:44  yschoe
//	Initial revision
//
//
//----------------------------------------------------------------------------
#include <iostream.h>
#include <nnview/ppmio.h>
#include <nnview/matrix.h>

int main(int argc, char *argv[]) {

  matrix<REAL> *mat = new matrix<REAL>(200,100);
  matrix<REAL> *mat2 = new matrix<REAL>(11,11);

  ppmio *io = new ppmio(mat->mat,200,100,256);

  // fill in the matrix
  for (int i=0; i<200; ++i) 
    for (int j=0; j<100; ++j) 
    	mat->mat[i][j] = (sin((REAL)i/20.0)+1.0)/2.0
                      * (cos((REAL)j/20.0)+1.0)/2.0 * 20.0;

  // write matrix to ppm file
  io->ppmwrite("ppmiotest.ppm");

  ppmio *io2 = new ppmio(mat2->mat,11,11,256);
  io2->ppmread("read.ppm");

  mat2->print_matrix();

  delete io;
  delete io2;
  delete mat;
  delete mat2;
}

