#!/usr/bin/perl

# find number in plain text and count the occurence of leading digits

$usage = <<EOF ;

usage: benford.pl <textfile>

output: histogram of leading numbers, starting from 1 .... 9 and finally 0.

EOF

if ($#ARGV != 0) { 

  print $usage;	
  exit;

}

$file = $ARGV[0];

if ( ! -f $file ) {
  print "benford.pl: file $file does not exist.\n";
  exit;
}

open(FILE,$file) or die "benford.pl: cannot open file $file.\n";

%histo = ( 
	0 => 0,
	1 => 0,
	2 => 0,
	3 => 0,
	4 => 0,
	5 => 0,
	6 => 0,
	7 => 0,
	8 => 0,
	9 => 0
);

while (<FILE>) {
  @line = split(/[\s]+/,$_);
  for ($i=0 ; $i<=$#line; ++$i) {
	# debug: print $line[$i]."\n";
	if ($line[$i] =~ /([0-9\.]+)/) {
		if ($line[$i] !~ /[a-zA-Z]/) {
			$num = $1;
			$num =~ s/0\.//;
			# print $num."\n";
			$head = substr($num,0,1);
			if ($head ne ".") {
				$histo{"$head"} ++;
			}
		}
	}
  }
}

close FILE;

for ($i=0; $i<=9; ++$i) {

  print $i." ".$histo{"$i"}."\n";

}
  

  
