function [evec,eval] = empcaol(k,iter,Cinit)
%[evec,eval] = empcaol(k,iter,Cinit)
%
% EMPCAOL (ONLINE VERSION OF EMPCA)
%
% finds the first k principal components of a dataset 
% and their associated eigenvales using the EM-PCA algorithm
%
% Inputs:  k    is # of principal components to find
%
% optional:
%          iters is the number of iterations of EM to run (default 20)
%          Cinit is the initial (current) guess for C (default random)
%
% the data is provided by the function nextpoint
% nextpoint(1) re-initializes the data providing function
% nextpoint(0) to get successive datavectors
% nextpoint(0) should return 0 when it is out of data
% NB: nextpoint should return data with the mean already subtracted out
%
% Outputs:  evec holds the eigenvectors (one per column)
%           eval holds the eigenvalues
%


if(nargin<3) Cinit=[]; end
if(nargin<2) iter=20; end

[evec,eval] = empcaol_orth(empcaol_iter(Cinit,k,iter));



