## usage:  delthetafreq(nV,E,nS,img)
##
##	nV: p x q matrix (energy values of edge elements)
##      E : p x q matrix (orientations of edge elements)
##      nS: p x q matrix (spatial frequency of edge elements)
##      Finds the delta, theta, freq values from the given nV & nS matrices
##      and dumps them to the file "<imagefile>.freqtheta.dmp"
##
##      By Subramonia Sarma <sps8556@cs.tamu.edu> on Jun 24 2002

function delthetafreq(nV,E,nS,img)
      
        # get size of matrix
	[rows, cols] = size(nV);

        img=strcat(img,".freqtheta.dmp");
        printf("Image = '%s'\n",img);
	printf("cols = %d , rows = %d\n",cols,rows);
      
        #open output file for writing
        outfile=fopen(img,"w");
        tmpfile=fopen("idmat.tmp","w");

        #initialize variables
        count=1;
        idtmp=[0,0];
        idmat=[0,0];      
      
	for i=1:rows
	for j=1:cols
	if (nV(i,j) > 0)
           idtmp=vec([i,j])';
           idmat=[idmat;idtmp];
           count=count+1;
        endif
        endfor
        endfor
            
       printf("Count = %d\n",count);
       for i=1:count
          fprintf(tmpfile,"%d %d\n",idmat(i,1),idmat(i,2));
       endfor   

       fclose(tmpfile);

       #initialize matrices and variables
        curr=[0,0];
        next=[0,0];
        i=2;
        j=2;
        num=0;

     while (i<=count)
   
     curr=[idmat(i,1),idmat(i,2)];
     while (j<=count)
        next=[idmat(j,1),idmat(j,2)];

        if ((curr(1)!=next(1))||(curr(2)!=next(2)))
      
        #printf("next = %d\n",next);
   
       theta1=(E(next(1),next(2))-1)*10;
       theta2=(E(curr(1),curr(2))-1)*10;

       #theta=abs(theta1 - theta2);
 
       if (theta1 < theta2)
           theta=theta2 - theta1;
       else
           theta=180-theta1 + theta2;
       endif
       freq=nS(curr(1),curr(2))-nS(next(1),next(2));      
          
       d=sqrt(((next(1)-curr(1))**2)+((next(2)-curr(2))**2));
        #write d, theta, freq to output file
      fprintf(outfile,"%d %d %d\n",d,theta,freq);    

    #else
   
      #phi=0;
      #d=0;
      #theta=0;
   endif
    
      #write phi, d, theta to output file
      #fprintf(outfile,"%d %d %d\n",phi,d,theta);
      num=num+1;
      
      j=j+1;
    endwhile
   
       i=i+1;
       j=2;
    endwhile
   
    #close output file
   fclose(outfile);

  printf("Total no: of del,theta, freq values = %d\n",num);
 
 endfunction

