## Copyright (C) 2000 William Hunter
##
## This file is part of Octave.
##
## Octave is free software; you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2, or (at your option)
## any later version.
##
## Octave is distributed in the hope that it will be useful, but
## WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
## General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with Octave; see the file COPYING.  If not, write to the Free
## Software Foundation, 59 Temple Place - Suite 330, Boston, MA
## 02111-1307, USA.
## plt2eps:
## Converts the current plot to Encapsulated Postscript format (.eps)
## by envoking GNUPLOT commands from OCTAVE. The GNUPLOT terminal is
## reset to the default (X11) after execution of the script.
##
## Usage: plt2eps("filename")
##
## Example:
## USER input: plt2eps("papaya")
## OCTAVE output: papaya.eps (saved in your working directory)

## Author: W. Hunter & K. M. Goosen
## Created: 13 September 2000

function plt2eps (filename)
  gset terminal postscript eps enhanced color;
  eval(sprintf("gset output \"%s%s\" \n",filename,".eps"));
  replot;
  gset terminal X11;
  printf("\nWrote %s/%s%s \n \n",pwd,filename,".eps");

endfunction
