## Copyright (C) 2000 uschoe
##
## This file is part of Octave.
##
## Octave is free software; you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2, or (at your option)
## any later version.
##
## Octave is distributed in the hope that it will be useful, but
## WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
## General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with Octave; see the file COPYING.  If not, write to the Free
## Software Foundation, 59 Temple Place - Suite 330, Boston, MA
## 02111-1307, USA.

## usage: N = samplegaus(rfsize,sigmax,sigmay,n)
##
## Returns n x (rfsize^2) matrix where p is the number of samples drawn 
## by generating random oriented gaussians at random locations.
##

## Author: Yoonsuck Choe <yschoe@cs.utexas.edu>

function N = samplegaus(rfsize,sigmax,sigmay,n)

	cx = rfsize/2.0;
	cy = rfsize/2.0;

	N = [ vec(gaussian(rfsize,rfsize,sigmax,sigmay,rand()*rfsize,
			rand(),rand()*180))' ];

	for i=2:n
	    N = [ N; vec(gaussian(rfsize,rfsize,sigmax,sigmay,rand()*rfsize,
			rand()*rfsize,rand()*180))' ];
	endfor

endfunction
