## Copyright (C) 2000 uschoe
##
## This file is part of Octave.
##
## Octave is free software; you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2, or (at your option)
## any later version.
##
## Octave is distributed in the hope that it will be useful, but
## WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
## General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with Octave; see the file COPYING.  If not, write to the Free
## Software Foundation, 59 Temple Place - Suite 330, Boston, MA
## 02111-1307, USA.

## usage: p = powerspec(M)
##
##	return powerspectrum (abs(fft2(M)).^2) with 
##	DC component removed.

## Author: Yoonsuck Choe <yschoe@cs.utexas.edu>

function p = powerspec(M)

	[x,y] = size(M);
	if (y==1 || x==1) 
		f = fft(M);
		if (x==1)
			f = f(1,2:y);
		else
			f = f(2:x,1);
		endif
	else
		f = fft2(M);
		f = f(2:x,2:y);
	endif
	
	p = abs(fftshift(f)).^2;
		
endfunction
