# function M = rand_contour(n,elem_size,num_elem)
#	return a n x n matrix containing num_elem edge elements
#	with element size elem_size
function M = rand_contour(n,elem_size,num_elem)

  M = zeros(n,n);

  occupied = zeros(n,n);
  occupied(1,1) = 0;

  for i = 1:num_elem

	or = rand*180;

	g = gabor(elem_size,elem_size,"sin",or,2);

 	x = ceil(floor(rand*(n/elem_size))*elem_size+rand*2);
 	y = ceil(floor(rand*(n/elem_size))*elem_size+rand*2);

	if (x+elem_size>=n) 
		x=n-1-elem_size;
	endif

	if (y+elem_size>=n) 
		y=n-1-elem_size; 
	endif

	for c=1:elem_size
		for r=1:elem_size
			# M(y+r,x+c) = M(y+r,x+c) + g(r,c);
			M(y+r,x+c) = g(r,c);
		endfor
	endfor

  endfor

endfunction


